Subject: Re: [PATCH v5 2/5] gitweb: add project_filter to limit project list to a subdirectory

From: "Bernhard R. Link" <[email-masked]>
Date: Mon, 30 Jan 2012 21:48:31 +0100

* Junio C Hamano <[email-masked]> [120130 21:34]:
> "Bernhard R. Link" <[email-masked]> writes:
> Regarding the first patch in the series, while it may be a valid perl to
> introduce a new variable, assign to it and then munge its contents with
> s///, all inside a parameter list of a function call, it is doing a bit
> too much and makes it hard to see if the variable may or may not later be
> used in the same scope (in this case, it is not).

I'm fine either way.
I had interpreted <[email-masked]> to be meant this
way, but rereading it I am not sure it was meant this way at all.
I thought this was to express that those variables are not used outside
this scope.

        Bernhard R. Link